package net.kelsoncraft.test.util;

import net.fabricmc.fabric.api.message.v1.ServerMessageEvents;
import net.minecraft.util.Formatting;

public class Messages {

    public Messages() {

    }
    // The idea for chat colors came from here:
    // https://codeberg.org/PORTB/ChatColours/src/branch/1.19/src/main/java/portb/chatcolours/mixin/client/TextProcessingMixin.java
    // And from the minecraft sources here: package net.minecraft.util.Formatting

    // Todo Figure out how to use ChatColors like in the spigot plugin:
    // https://github.com/kelson8/KBP/blob/master/src/main/java/net/Kelsoncraft/KBP/util/Messages.java#L15
    // I think KBP-Fabric is a good name for the project, I'm not sure of a good name to come up with.
//    private static final String KBP_Fabric = "[KBP-Fabric] ";
    // Yes it works, I figured out how to do Chat Colors in Fabric 3-17-2024 @ 4:04AM
    private static final String KBP_Fabric = Formatting.BLUE + "[KBP-Fabric] " + Formatting.WHITE;

    private static String KbpFabric_errormsg = KBP_Fabric + "Error: ";

    private static String modDev = "kelson8";

    public static String Kbp_Fabric() {
        return KBP_Fabric;
    }

    public static String KbpFabric_errormsg() {
        return KbpFabric_errormsg;
    }

    public static String modDev() {
        return modDev;
    }

}
